MPD: Data Fields - Functions

MPD 0.20.15

### - r -

- Read() : AsyncInputStream , AutoGunzipReader , BufferedReader , CircularBuffer< T > , DecoderBridge , DecoderBuffer , DecoderClient , DecoderReader , DffDsdUint64 , DsdUint64 , Encoder , EventFD , EventPipe , FileDescriptor , FileReader , FlacInput , FlacMetadataChain , ForeignFifoBuffer< T > , GunzipReader , IcyInputStream , InputStream , InputStreamReader , MemoryStorageDirectoryReader , NfsConnection , NfsFileReader , OggEncoder , OpusReader , PeakBuffer , PeekReader , ProxyInputStream , Reader , SignalFD , SocketMonitor , StateFile , StaticFifoBuffer< T, size > , StorageDirectoryReader , ThreadInputStream
- ReadByte() : OpusReader
- readDir() : ContentDirectoryService
- ReadDirectory() : NfsConnection
- readDirSlice() : ContentDirectoryService
- ReadEntry() : DirectoryReader
- Reader() : Reader
- ReadEvents() : PollGroupEPoll , PollGroupPoll , PollGroupWinSelect
- ReadFromBuffer() : BufferedReader
- ReadFull() : BufferedReader , InputStream
- ReadInfo() : CurlGlobal
- ReadLine() : BufferedReader , TextFile , TextInputStream
- ReadOgg() : FlacMetadataChain
- ReadPage() : HttpdOutput
- ReadShort() : OpusReader
- ReadString() : OpusReader
- ReadTag() : AsyncInputStream , AudioOutputSource , IcyInputStream , IcyMetaDataParser , InputStream , ProxyInputStream
- ReadTaggedSong() : PlayerControl
- ReadWord() : OpusReader
- Ready() : DecoderBridge , DecoderClient
- Realize() : SLES::Object
- Ref() : Page
- RefCount() : RefCount
- RegisterCallback() : SLES::AndroidSimpleBufferQueue
- Reinitialize() : OggStreamState
- Relative() : AllocatedPath , Path , PathTraitsFS , PathTraitsUTF8
- Release() : MultipleOutputs
- Remove() : CancellableList< T, CT > , ClientList , CurlGlobal , EPollFD , InotifySource , PollGroupEPoll , PollGroupPoll , PollGroupWinSelect , UpdateRemoveService
- RemoveAll() : TagBuilder
- RemoveClient() : HttpdOutput
- RemoveDeferred() : EventLoop
- RemoveFD() : EventLoop
- RemoveIdle() : EventLoop
- RemoveLast() : SocketSet
- RemoveLease() : NfsConnection
- RemoveSong() : Directory
- RemoveType() : TagBuilder
- ReplaceSocketList() : MultiSocketMonitor
- Request() : Request
- RequireStorage() : DatabasePlugin
- Resample() : FallbackPcmResampler , GluePcmResampler , LibsampleratePcmResampler , PcmResampler , SoxrPcmResampler
- Reserve() : TagBuilder
- Reset() : BufferedReader , CommandListBuilder , Filter , GluePcmResampler
- reset() : HugeAllocation
- Reset() : IcyMetaDataParser , LibsampleratePcmResampler , MultiSocketMonitor , OggStreamState , OggSyncState , PcmConvert , PcmDsd , PcmExport , PcmResampler , PeriodClock , PollResultEPoll , PollResultGeneric , SoxrPcmResampler , Timer
- ResizeDiscard() : AllocatedArray< T >
- Response() : Response
- Rest() : Tokenizer
- RestoreOrder() : Queue
- Resume() : CurlRequest
- ResumeInput() : BufferedSocket
- ResumePlayback() : playlist
- ResumeSockets() : CurlGlobal
- Return() : MusicBuffer
- ReturnSong() : Database , SimpleDatabase
- ReusableArray() : ReusableArray< T, M >
- Rewind() : FileDescriptor , FileReader , InputStream
- Root() : LightDirectory
- RoundS() : SignedSongTime , SongTime
- Run() : BlockingNfsOperation , EventLoop
- RunDeferred() : DeferredCall , DeferredMonitor , MaskMonitor